Upgrading nexus 3.7 plugin to work with 3.9

I have a plugin that provides a rundeck option rest endpoint that works with nexus 3.7.0-04. It was originally based on nexus3-rundeck-plugin but has been heavily modified for our environment.

The plugin loads in 3.9.0-01 but the rest endpoints return 404. I saw in the release notes that Sonatype has removed 'siesta' from their rest apis so I thought that might affect us too. Unfortunately, just removing the 'siesta' from the url does not help.

Is there anything else that needs to be changed with plugin registration to work with the latest version?

I have rebuilt the plugin using the latest 3.9.0-01 parent pom. Still no joy.